Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.analyser
Class TagData

    java.lang.Object
      org.makumba.analyser.TagData

All Implemented Interfaces:
  Serializable

    public class TagData

extends Object
implements Serializable

A composite object passed to the analyzers.

Version:
  $Id: TagData.java 3694 2009-02-11 00:41:05Z rosso_nero $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary
`Map<String,String>` | `attributes` Tag attributes
`(package private) int` | `endColumn`
`(package private) int` | `endLine`
`String` | `name` Name of the tag
`int` | `nodeNumber` Number of the node in the graph of tags of the page *
`protected SourceSyntaxPoints` | `sourceSyntaxPoints`
`(package private) int` | `startColumn`
`(package private) int` | `startLine`
`Object` | `tagObject` Tag object, if one is created by the analyzer

Constructor Summary
`TagData(String name, SyntaxPoint start, SyntaxPoint end, Map<String,String> attributes)`

Method Summary
`int` | `getEndColumn()`
`int` | `getEndLine()`
`SourceSyntaxPoints` | `getSourceSyntaxPoints()`
`int` | `getStartColumn()`
`int` | `getStartLine()`
`Object` | `getTagObject()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public String name

  Name of the tag

### nodeNumber

    public int nodeNumber

  Number of the node in the graph of tags of the page *

### attributes

    public Map<String,String> attributes

  Tag attributes

### tagObject

    public Object tagObject

  Tag object, if one is created by the analyzer

### startLine

    int startLine

### startColumn

    int startColumn

### endLine

    int endLine

### endColumn

    int endColumn

### sourceSyntaxPoints

    protected SourceSyntaxPoints sourceSyntaxPoints

Constructor Detail

### TagData

    public TagData(String name,
                   SyntaxPoint start,
                   SyntaxPoint end,
                   Map<String,String> attributes)

Method Detail

### getTagObject

    public Object getTagObject()

### getStartLine

    public int getStartLine()

### getStartColumn

    public int getStartColumn()

### getEndLine

    public int getEndLine()

### getEndColumn

    public int getEndColumn()

### getSourceSyntaxPoints

    public SourceSyntaxPoints getSourceSyntaxPoints()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20